#ifndef UTILITY_H_
#define UTILITY_H_

#include <string>
using std::string;

enum MiningMethod
{
	CFP_MINER,
	SHAFEM_MINER,
	FP_GROWTH_MINER
};

struct InputData
{
	string datasetPath = "";
	double minSup = 0.1;
	int numThreads = 1;
	bool writeOutput = false;
	MiningMethod miningMethod = CFP_MINER;
	string inputFile = "";
	string logFilePath = "stats.txt";
	int repetition = -1;
};

#endif // UTILITY_H_
