#ifndef EXTENDED_ITEMSET_STACK_H_
#define EXTENDED_ITEMSET_STACK_H_

#include "StackMemoryManager.h"

class ExtendedItemsetStack
{
private:
	StackMemoryManager memoryManager;
	unsigned int* topItemCountAddress;
	int itemsetCount;
public:
	ExtendedItemsetStack();
	void push(unsigned int itemCount,
			  double support,
			  unsigned char** dimensionalAttributeAddressOut,
			  unsigned int** itemAddressOut);
	void top(unsigned int** itemCount,
			 double** support,
			 unsigned char** dimensionalAttributes,
			 unsigned int** items) const;
	void pop();
	int size() const;
	unsigned long long getMemoryUsageInBytes() const;
};

#endif // EXTENDED_ITEMSET_STACK_H_
