#include "Stock.h"

Stock::Stock(int id, std::string name)
	: id(id), name(name)
{
}

Stock::~Stock()
{
}

void Stock::addData(string date, double openingPrice, double closingPrice)
{
	dates.push_back(date);
	open.push_back(openingPrice);
	close.push_back(closingPrice);
}

double Stock::getOpeningPrice(int i)
{
	return open[i];
}

double Stock::getClosingPrice(int i)
{
	return close[i];
}

string Stock::getDate(int i)
{
	return dates[i];
}

int Stock::getNumData()
{
	return open.size();
}

int Stock::getId()
{
	return id;
}

string Stock::getName()
{
	return name;
}
