#ifndef STOCK_H_
#define STOCK_H_

#include <vector>
using std::vector;
#include <string>
using std::string;

class Stock
{
private:
	int id;
	string name;
	vector<string> dates;
	vector<double> open;
	vector<double> close;
public:
	Stock(int id, string name);
	~Stock();

	void addData(string date, double openingPrice, double closingPrice);
	double getOpeningPrice(int i);
	double getClosingPrice(int i);
	string getDate(int i);
	int getNumData();
	int getId();
	string getName();
};

#endif // STOCK_H_
