﻿#ifndef CFP_MINER_H_
#define CFP_MINER_H_

#include "Miner.h"
#include "CfpArray.h"
#include "ItemsetStack.h"
#include "../FimLogger/Logger.h"

#include <vector>
using std::vector;

class CfpMiner : public Miner
{
	private:
		ItemsetStack** mineStack;
		int** headerArray;

		void mine(unsigned int startItem);
		void mine();
		void createLocalHeaderFile(unsigned int initialItem);
		void setSupportCountOf(Itemset& itemset);
	public:
		CfpMiner(CfpArray* cfpArray, int numThreads, LogData* logData);
		~CfpMiner();

		void startMining();
};

#endif // CFP_MINER_H_
