#ifndef ITEMSET_STACK_H_
#define ITEMSET_STACK_H_

#include "StackMemoryManager.h"

class ItemsetStack
{
	private:
		StackMemoryManager& memoryManager;
		bool ownMemoryManager;
		unsigned int* topItemCountAddress;
		int itemsetCount;
	public:
		ItemsetStack(StackMemoryManager& memoryManager);
		ItemsetStack();
		~ItemsetStack();
		unsigned int* push(unsigned int itemCount, double support);
		void top(unsigned int** itemCount, double** support, unsigned int** items);
		void pop();
		int size();
};

#endif // ITEMSET_STACK_H_
