#ifndef UTILITY_H_
#define UTILITY_H_

#include <string>
using std::string;

enum MiningMethod
{
	EMBARRASSINGLY_PARALLEL,
	FINE_GRAINED_PARALLEL
};

struct InputData
{
    string datasetPath = "";
    double minSup = 0.1;
	int maxspan = 3;
    int numThreads = 1;
    bool writeOutput = false;
	MiningMethod miningMethod = EMBARRASSINGLY_PARALLEL;
    string inputFile = "";
    string logFilePath = "stats.txt";
    int repetition = -1;

};

#endif // UTILITY_H_

