#ifndef ITEMSET_STACK_H_
#define ITEMSET_STACK_H_

#include "StackMemoryManager.h"

class ItemsetStack
{
private:
	StackMemoryManager memoryManager;
	unsigned int* topItemCountAddress;
	int itemsetCount;
public:
	ItemsetStack();
	unsigned int* push(unsigned int itemCount, double support);
	void top(unsigned int** itemCount, double** support, unsigned int** items) const;
	void pop();
	int size() const;
	unsigned long long getMemoryUsageInBytes() const;
};

#endif // ITEMSET_STACK_H_
