#ifndef SHA_FEM_H_
#define SHA_FEM_H_

#include "MultiBuffer.h"
#include "StackMemoryManager.h"
#include "../FimLogger/Logger.h"

#include <string>
using std::string;

class ShaFem
{
private:
	InputData& inputData;
	LogData& logData;
	MultiBuffer** multiBuffers;
public:
	ShaFem(InputData &inputData, LogData& logData);
	~ShaFem();

	void startAlgorithm();
};

#endif // SHA_FEM_H_
