#include "FPTree.h"

#ifndef XFP_TREE_H_
#define XFP_TREE_H_

class XfpTree
{
	private:
		const int NUM_THREADS;
		HeaderTable headerTable;

		void mergeFpTrees(FPTree** fpTrees);
	public:
		XfpTree(FPTree** fpTrees, int numThreads);
		~XfpTree();

		HeaderTable* getHeaderTable();
};

#endif /* XFP_TREE_H_ */
