#include "StockReader.h"
#include "StockWriter.h"
#include "Stock.h"

#include <vector>
using std::vector;
#include <iostream>
using std::cout;
using std::endl;

int main(int argc, char** argv)
{
	cout << "Generating dataset..." << endl;

	vector<Stock*> stocks;
	StockReader::readStockData("data", stocks);
	StockWriter::writeStocks("dataset.dat", stocks);
	StockWriter::writeInfo("info.txt", stocks);

	for (int i = 0; i < stocks.size(); i++)
		delete stocks[i];

	cout << "Finished!" << endl;

	return 0;
}

